diff -urN u-boot-1.1.6.dp83848/common/cmd_mem.c u-boot-1.1.6.at91.chub/common/cmd_mem.c
--- u-boot-1.1.6.dp83848/common/cmd_mem.c	2006-11-02 16:15:01 +0200
+++ u-boot-1.1.6.at91.chub/common/cmd_mem.c	2007-01-04 00:34:46 +0200
@@ -498,7 +498,11 @@
 	}
 
 	/* Check if we are copying from DataFlash to RAM */
-	if (addr_dataflash(addr) && !addr_dataflash(dest) && (addr2info(dest)==NULL) ){
+	if (addr_dataflash(addr) && !addr_dataflash(dest) 
+#ifndef CFG_NO_FLASH
+	    && (addr2info(dest)==NULL) 
+#endif
+	   ){
 		int rc;
 		rc = read_dataflash(addr, count * size, (char *) dest);
 		if (rc != 1) {
diff -urN u-boot-1.1.6.dp83848/include/dataflash.h u-boot-1.1.6.at91.chub/include/dataflash.h
--- u-boot-1.1.6.dp83848/include/dataflash.h	2006-11-02 16:15:01 +0200
+++ u-boot-1.1.6.at91.chub/include/dataflash.h	2007-01-03 20:04:27 +0200
@@ -40,6 +40,28 @@
 /*number of protected area*/
 #define NB_DATAFLASH_AREA	4
 
+//vanokuten
+/*-----------------------------------------------------------------------
+ * return codes from flash_write():
+ */
+#define ERR_OK				0
+#define ERR_TIMOUT			1
+#define ERR_NOT_ERASED			2
+#define ERR_PROTECTED			4
+#define ERR_INVAL			8
+#define ERR_ALIGN			16
+#define ERR_UNKNOWN_FLASH_VENDOR	32
+#define ERR_UNKNOWN_FLASH_TYPE		64
+#define ERR_PROG_ERROR			128
+
+/*-----------------------------------------------------------------------
+ * Protection Flags for flash_protect():
+ */
+#define FLAG_PROTECT_SET	0x01
+#define FLAG_PROTECT_CLEAR	0x02
+//vanokuten
+
+
 /*define the area structure*/
 typedef struct {
 	unsigned long start;
